/*-                                                                            +
 * Copyright (c) 2004-2016 Scott C. Klement                                    +
 * All rights reserved.                                                        +
 *                                                                             +
 * Redistribution and use in source and binary forms, with or without          +
 * modification, are permitted provided that the following conditions          +
 * are met:                                                                    +
 * 1. Redistributions of source code must retain the above copyright           +
 *    notice, this list of conditions and the following disclaimer.            +
 * 2. Redistributions in binary form must reproduce the above copyright        +
 *    notice, this list of conditions and the following disclaimer in the      +
 *    documentation and/or other materials provided with the distribution.     +
 *                                                                             +
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND      +
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE       +
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE  +
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE     +
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL  +
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS     +
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)       +
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT  +
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY   +
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF      +
 * SUCH DAMAGE.                                                                +
 *                                                                             +
 */                                                                            +

PGM     PARM(&SRCLIB &PGMLIB &TGTRLS)

    DCL VAR(&MODLIB) TYPE(*CHAR) LEN(10) VALUE('QTEMP')
    DCL VAR(&PGMLIB) TYPE(*CHAR) LEN(10)
    DCL VAR(&SRCLIB) TYPE(*CHAR) LEN(10)
    DCL VAR(&TGTRLS) TYPE(*CHAR) LEN(10)

    CRTCMOD MODULE(&MODLIB/XMLPARSE)    +
            SRCFILE(&SRCLIB/EXPAT)      +
            SRCMBR(XMLPARSE.C)          +
            OPTION(*SHOWINC)            +
            DEFINE(HAVE_EXPAT_CONFIG_H) +
            TGTRLS(&TGTRLS)             +
            DBGVIEW(*LIST)

    CRTCMOD MODULE(&MODLIB/XMLTOK)      +
            SRCFILE(&SRCLIB/EXPAT)      +
            SRCMBR(XMLTOK.C)            +
            OPTION(*SHOWINC)            +
            DEFINE(HAVE_EXPAT_CONFIG_H) +
            TGTRLS(&TGTRLS)             +
            DBGVIEW(*LIST)

    CRTCMOD MODULE(&MODLIB/XMLROLE)     +
            SRCFILE(&SRCLIB/EXPAT)      +
            SRCMBR(XMLROLE.C)           +
            OPTION(*SHOWINC)            +
            DEFINE(HAVE_EXPAT_CONFIG_H) +
            TGTRLS(&TGTRLS)             +
            DBGVIEW(*LIST)

    CRTSRVPGM SRVPGM(&PGMLIB/EXPAT)    +
              MODULE(&MODLIB/XMLPARSE  +
                     &MODLIB/XMLTOK    +
                     &MODLIB/XMLROLE)  +
              EXPORT(*SRCFILE)         +
              SRCFILE(&SRCLIB/QSRVSRC) +
              TGTRLS(&TGTRLS)          +
              SRCMBR(EXPAT)

    DLTMOD MODULE(&MODLIB/XMLPARSE)
    DLTMOD MODULE(&MODLIB/XMLTOK)
    DLTMOD MODULE(&MODLIB/XMLROLE)

    DLTBNDDIR BNDDIR(&PGMLIB/EXPAT)
    MONMSG CPF0000

    CRTBNDDIR BNDDIR(&PGMLIB/EXPAT) +
              TEXT('Expat Binding Directory')

    ADDBNDDIRE BNDDIR(&PGMLIB/EXPAT) +
               OBJ((*LIBL/EXPAT *SRVPGM))
ENDPGM
